zenilib: zenilib/jni/external/libvorbis/vq/localcodebook.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
localcodebook.h File Reference
`#include <ogg/ogg.h>`

Go to the source code of this file.

## Classes

struct | codebook
struct | static_codebook

## Typedefs

typedef struct codebook | codebook
typedef struct static_codebook | static_codebook

## Functions

int | _best (codebook *book, float *a, int step)
float * | _book_logdist (const static_codebook *b, float *vals)
long | _book_maptype1_quantvals (const static_codebook *b)
float * | _book_unquantize (const static_codebook *b, int n, int *map)
long | _float32_pack (float val)
float | _float32_unpack (long val)
int | _ilog (unsigned int v)
int | vorbis_book_besterror (codebook *book, float *a, int step, int addmul)
void | vorbis_book_clear (codebook *b)
long | vorbis_book_codelen (codebook *book, int entry)
long | vorbis_book_codeword (codebook *book, int entry)
long | vorbis_book_decode (codebook *book, oggpack_buffer *b)
long | vorbis_book_decodev_add (codebook *book, float *a, oggpack_buffer *b, int n)
long | vorbis_book_decodev_set (codebook *book, float *a, oggpack_buffer *b, int n)
long | vorbis_book_decodevs_add (codebook *book, float *a, oggpack_buffer *b, int n)
long | vorbis_book_decodevv_add (codebook *book, float **a, long off, int ch, oggpack_buffer *b, int n)
int | vorbis_book_encode (codebook *book, int a, oggpack_buffer *b)
int | vorbis_book_init_decode (codebook *dest, const static_codebook *source)
int | vorbis_book_init_encode (codebook *dest, const static_codebook *source)
void | vorbis_staticbook_clear (static_codebook *b)
void | vorbis_staticbook_destroy (static_codebook *b)
int | vorbis_staticbook_pack (const static_codebook *c, oggpack_buffer *b)
int | vorbis_staticbook_unpack (oggpack_buffer *b, static_codebook *c)

## Typedef Documentation

typedef struct codebook codebook

typedef struct static_codebook static_codebook

## Function Documentation

int _best | ( | codebook * | book,
|  | float * | a,
|  | int | step
| ) |  |

Definition at line 25 of file bookutil.c.

References codebook::c, codebook::delta, codebook::dim, e, codebook::entries, i, int, j, static_codebook::lengthlist, m, codebook::minval, and codebook::quantvals.

float* _book_logdist | ( | const static_codebook * | b,
|  | float * | vals
| ) |  |

long _book_maptype1_quantvals | ( | const static_codebook * | b | ) |

Definition at line 163 of file sharedbook.c.

References static_codebook::dim, static_codebook::entries, entries, floor(), and i.

float* _book_unquantize | ( | const static_codebook * | b,
|  | int | n,
|  | int * | map
| ) |  |

Definition at line 196 of file sharedbook.c.

References _book_maptype1_quantvals(), _float32_unpack(), _ogg_calloc, static_codebook::dim, static_codebook::entries, fabs(), j, k, static_codebook::lengthlist, static_codebook::maptype, NULL, static_codebook::q_delta, static_codebook::q_min, static_codebook::q_sequencep, and static_codebook::quantlist.

long _float32_pack | ( | float | val | ) |

Definition at line 47 of file sharedbook.c.

References floor(), sign, VQ_FEXP_BIAS, and VQ_FMAN.

float _float32_unpack | ( | long | val | ) |

Definition at line 62 of file sharedbook.c.

References sign, VQ_FEXP_BIAS, and VQ_FMAN.

int _ilog | ( | unsigned int | v | ) |

Definition at line 29 of file sharedbook.c.

References ret.

int vorbis_book_besterror | ( | codebook * | book,
|  | float * | a,
|  | int | step,
|  | int | addmul
| ) |  |

void vorbis_book_clear | ( | codebook * | b | ) |

Definition at line 270 of file sharedbook.c.

References _ogg_free, codebook::codelist, codebook::dec_codelengths, codebook::dec_firsttable, codebook::dec_index, memset, and codebook::valuelist.

long vorbis_book_codelen | ( | codebook * | book,
|  | int | entry
| ) |  |

Definition at line 437 of file sharedbook.c.

References codebook::c, and static_codebook::lengthlist.

long vorbis_book_codeword | ( | codebook * | book,
|  | int | entry
| ) |  |

Definition at line 430 of file sharedbook.c.

References codebook::c, and codebook::codelist.

long vorbis_book_decode | ( | codebook * | book,
|  | oggpack_buffer * | b
| ) |  |

Definition at line 358 of file codebook.c.

References codebook::dec_index, decode_packed_entry_number(), and codebook::used_entries.

Referenced by _01inverse(), floor1_inverse1(), and res2_inverse().

long vorbis_book_decodev_add | ( | codebook * | book,
|  | float * | a,
|  | oggpack_buffer * | b,
|  | int | n
| ) |  |

Definition at line 389 of file codebook.c.

References decode_packed_entry_number(), codebook::dim, i, j, codebook::used_entries, and codebook::valuelist.

Referenced by res1_inverse().

long vorbis_book_decodev_set | ( | codebook * | book,
|  | float * | a,
|  | oggpack_buffer * | b,
|  | int | n
| ) |  |

Definition at line 434 of file codebook.c.

References decode_packed_entry_number(), codebook::dim, i, j, codebook::used_entries, and codebook::valuelist.

Referenced by floor0_inverse1().

long vorbis_book_decodevs_add | ( | codebook * | book,
|  | float * | a,
|  | oggpack_buffer * | b,
|  | int | n
| ) |  |

Definition at line 370 of file codebook.c.

References decode_packed_entry_number(), codebook::dim, i, j, codebook::used_entries, and codebook::valuelist.

Referenced by res0_inverse().

long vorbis_book_decodevv_add | ( | codebook * | book,
|  | float ** | a,
|  | long | off,
|  | int | ch,
|  | oggpack_buffer * | b,
|  | int | n
| ) |  |

Definition at line 457 of file codebook.c.

References decode_packed_entry_number(), codebook::dim, i, j, codebook::used_entries, and codebook::valuelist.

Referenced by res2_inverse().

int vorbis_book_encode | ( | codebook * | book,
|  | int | a,
|  | oggpack_buffer * | b
| ) |  |

Definition at line 274 of file codebook.c.

References codebook::c, codebook::codelist, static_codebook::entries, static_codebook::lengthlist, and oggpack_write().

Referenced by _01forward(), _encodepart(), and floor1_encode().

int vorbis_book_init_decode | ( | codebook * | dest,
|  | const static_codebook * | source
| ) |  |

Definition at line 313 of file sharedbook.c.

References _book_unquantize(), _ilog(), _make_words(), _ogg_calloc, _ogg_free, _ogg_malloc, bitreverse(), codebook::codelist, codebook::dec_codelengths, codebook::dec_firsttable, codebook::dec_firsttablen, codebook::dec_index, codebook::dec_maxlength, static_codebook::dim, codebook::dim, static_codebook::entries, codebook::entries, cordic::hi, i, j, static_codebook::lengthlist, cordic::lo, memset, NULL, qsort(), sort32a(), codebook::used_entries, codebook::valuelist, and vorbis_book_clear().

int vorbis_book_init_encode | ( | codebook * | dest,
|  | const static_codebook * | source
| ) |  |

Definition at line 283 of file sharedbook.c.

References _book_maptype1_quantvals(), _float32_unpack(), _make_words(), codebook::c, codebook::codelist, codebook::delta, static_codebook::dim, codebook::dim, static_codebook::entries, codebook::entries, int, static_codebook::lengthlist, memset, codebook::minval, static_codebook::q_delta, static_codebook::q_min, codebook::quantvals, and codebook::used_entries.

void vorbis_staticbook_clear | ( | static_codebook * | b | ) |

void vorbis_staticbook_destroy | ( | static_codebook * | b | ) |

Definition at line 261 of file sharedbook.c.

References _ogg_free, static_codebook::allocedp, static_codebook::lengthlist, memset, and static_codebook::quantlist.

int vorbis_staticbook_pack | ( | const static_codebook * | c,
|  | oggpack_buffer * | b
| ) |  |

Definition at line 30 of file codebook.c.

References _book_maptype1_quantvals(), _ilog(), static_codebook::dim, static_codebook::entries, i, j, static_codebook::lengthlist, static_codebook::maptype, oggpack_write(), static_codebook::q_delta, static_codebook::q_min, static_codebook::q_quant, static_codebook::q_sequencep, and static_codebook::quantlist.

Referenced by _vorbis_pack_books().

int vorbis_staticbook_unpack | ( | oggpack_buffer * | b,
|  | static_codebook * | c
| ) |  |